Package babel :: Package messages :: Module frontend |

# Module frontend

Frontends for the message extraction functionality.

Classes
| compile_catalog Catalog compilation command for use in `setup.py` scripts.
| extract_messages Message extraction command for use in `setup.py` scripts.
| init_catalog New catalog initialization command for use in `setup.py` scripts.
| update_catalog Catalog merging command for use in `setup.py` scripts.
| CommandLineInterface Command-line interface.

Functions
check_message_extractors(dist, name, value) Validate the `message_extractors` keyword argument to `setup()`. |

Function Details

### check_message_extractors(dist, name, value) |
Validate the `message_extractors` keyword argument to `setup()`. Parameters: `dist` - the distutils/setuptools `Distribution` object `name` - the name of the keyword argument (should always be "message_extractors") `value` - the value of the keyword argument Raises: `DistutilsSetupError` - if the value is not valid See Also: Adding setup() arguments